diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
new file mode 100644
index be5c3c5..dcd1b7d
*** a/src/bin/psql/tab-complete.c
--- b/src/bin/psql/tab-complete.c
*************** psql_completion(const char *text, int st
*** 3342,3347 ****
--- 3342,3354 ----
  
  			COMPLETE_WITH_LIST(my_list);
  		}
+ 		else if (pg_strcasecmp(prev2_wd, "search_path") == 0)
+ 		{
+ 			COMPLETE_WITH_QUERY(Query_for_list_of_schemas
+ 								" AND nspname not like 'pg\\_toast%%' "
+ 								" AND nspname not like 'pg\\_temp%%' "
+ 								" UNION SELECT 'DEFAULT' ");
+ 		}
  		else
  		{
  			static const char *const my_list[] =
